# X + Y discounts settings

Lists & updates settings of X + Y discounts.
Please note, that enableInCashdesk setting is not supported on HU projects.

Endpoint: GET /api/xy-discounts/settings
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.combineWithLoyaltyDiscounts` (boolean, required)
    X+Y Discount can be combined with loyalty discount

  - `data.combineWithVolumeDiscounts` (boolean, required)
    X+Y Discount can be combined with volume discount

  - `data.combineWithQuantityDiscounts` (boolean, required)
    X+Y Discount can be combined with quantity discount

  - `data.enableMultipleDiscounts` (boolean, required)
    Multiple X+Y discounts can be applied at once

  - `data.categoryTargeting` (any, required)
    Enum, discount category targeting
    Enum: "all-categories", "primary-category"

  - `data.enableInCashdesk` (boolean)
    Enable X+Y discounts in cashdesk, please note this option is not present for HU eshops

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


